classification
Title: Merge 2.6 ACKS with 3.0 ACKS
Type: enhancement Stage:
Components: Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, christian.heimes, gvanrossum
Priority: normal Keywords: easy

Created on 2008-03-18 15:38 by gvanrossum, last changed 2008-03-25 21:31 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
merged_acks benjamin.peterson, 2008-03-18 16:38 Misc/ACKS merged for 2.6 and 3.0
merge_acks.py benjamin.peterson, 2008-03-18 16:38
unnamed benjamin.peterson, 2008-03-25 21:31
Messages (12)
msg63921 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-03-18 15:38
Due to blocked merges etc. I expect that some names appearing in the 2.6
ACKS file aren't in the 3.0 ACKS file.  And possible the other way
around where backports are involved.  I like this file to be as
inclusive as possible (hey, my dad is in it :-) so perhaps the best
approach is to just make them both the union of what they currently are.
msg63939 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-18 16:38
I merged them with a script I wrote (and attached.)
msg64251 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-21 18:28
Thanks! :)
msg64509 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-25 20:42
Since the ACKS have changed since I did this merge, shall I remerge and
commit the changes to both branches?
msg64510 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-25 20:54
Yes, please sync the ACKS files again.
msg64511 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-25 21:16
Commited in r61913 and r61914.
msg64512 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-25 21:17
For the record

You don't have to merge changes from 2.6 to 3.0 manually. In fact you
mustn't unless you explicitly block the revision with svnmerge.py. In
general you submit a change to 2.6 and it gets merged into 3.0 later.
msg64513 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-25 21:19
On Tue, Mar 25, 2008 at 4:17 PM, Christian Heimes <report@bugs.python.org>
wrote:

>
> Christian Heimes <lists@cheimes.de> added the comment:
>
> For the record
>
> You don't have to merge changes from 2.6 to 3.0 manually. In fact you
> mustn't unless you explicitly block the revision with svnmerge.py. In
> general you submit a change to 2.6 and it gets merged into 3.0 later.

Thanks for the heads up. Should I block the revision then?

>
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2390>
> __________________________________
>
msg64514 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-25 21:23
I think I'll follow a different path here. I may end up with

svn rm Misc/ACKS 
svn copy ../trunk/Misc/ACKS Misc/

It should make future merges easier.
msg64515 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-25 21:25
On Tue, Mar 25, 2008 at 4:23 PM, Christian Heimes <report@bugs.python.org>
wrote:

>
> Christian Heimes <lists@cheimes.de> added the comment:
>
> I think I'll follow a different path here. I may end up with
>
> svn rm Misc/ACKS
> svn copy ../trunk/Misc/ACKS Misc/

That's what I did. They are exactly the same file.

>
>
> It should make future merges easier.
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2390>
> __________________________________
>
msg64519 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-25 21:29
Are you absolutely sure you have used "svn copy"? The logs don't show a
svn copy.
msg64520 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-25 21:31
On Tue, Mar 25, 2008 at 4:29 PM, Christian Heimes <report@bugs.python.org>
wrote:

>
> Christian Heimes <lists@cheimes.de> added the comment:
>
> Are you absolutely sure you have used "svn copy"? The logs don't show a
> svn copy.

Oh, no. I copied with cp, so svn doesn't know about it.

>
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2390>
> __________________________________
>
History
Date User Action Args
2008-03-25 21:31:49benjamin.petersonsetfiles: + unnamed
messages: + msg64520
2008-03-25 21:29:32christian.heimessetmessages: + msg64519
2008-03-25 21:28:02benjamin.petersonsetfiles: - unnamed
2008-03-25 21:27:47benjamin.petersonsetfiles: - unnamed
2008-03-25 21:25:15benjamin.petersonsetfiles: + unnamed
messages: + msg64515
2008-03-25 21:23:18christian.heimessetmessages: + msg64514
2008-03-25 21:19:43benjamin.petersonsetfiles: + unnamed
messages: + msg64513
2008-03-25 21:17:50christian.heimessetmessages: + msg64512
2008-03-25 21:16:05benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg64511
2008-03-25 20:54:20christian.heimessetassignee: christian.heimes -> benjamin.peterson
messages: + msg64510
2008-03-25 20:42:40benjamin.petersonsetmessages: + msg64509
2008-03-21 18:28:05christian.heimessetpriority: normal
assignee: christian.heimes
type: enhancement
messages: + msg64251
nosy: + christian.heimes
2008-03-18 16:38:23benjamin.petersonsetfiles: + merge_acks.py
2008-03-18 16:38:05benjamin.petersonsetfiles: + merged_acks
nosy: + benjamin.peterson
messages: + msg63939
versions: + Python 2.6, Python 3.0
2008-03-18 15:38:27gvanrossumcreate